/* _____________________________________________________________________

	BadGestalt.h

	Copyright  1993-1995 Onyx Technology - All rights reserved

	The routines in this file gather information about the environment
	we're running in.  Whenever possible they use Gestalt as the first
	choice and SysEnvirons as a last resort.
_____________________________________________________________________ */

#ifndef	_H_BadGestalt
#define	_H_BadGestalt

#ifndef	__GESTALTEQU__
#include <GestaltEqu.h>
#endif
#ifndef	__TRAPS__
#include  <Traps.h>
#endif

#define		GestaltTrap		0xA1AD

/* bit test masks	*/
#define		System7			0x00000700			/* used in sysvers checks	*/
#define		Is32BitCapable	0x00000004			/* used in Is32BitCapable	*/
#define		In32BitMode		0x00000001			/* used in NewGetMMUMode	*/
#define		bitZero			0x00000001

#ifndef	_GestaltDispatch
#define 	_GestaltDispatch	0xA0AD
#endif

#ifndef	InitGrafTrap
#define		InitGrafTrap		0xA86E
#endif

#define		TrapMask			0x0800

#ifndef	_Unimplemented
#define		_Unimplemented		0x9F
#endif

#ifdef	THINK_C
#define		OSTrap				1
#endif
#define		ToolBoxTrap			2


/*	prototypes	*/
long	GetSystemVers(void);
short	HasGestalt(void);
short	GetQDVers(void);
Boolean	ColorQDIsPresent(void);
short	TrapAvailable(short theTrap);
short	NumToolboxTraps(void);
short	GetTrapType(short theTrap);

#endif	//_H_BadGestalt
