/*________________________________________________________________________________

	BadAPPL.h

	Copyright  1993-1995 Onyx Technology - All rights reserved
________________________________________________________________________________*/

#ifndef	_H_BadAPPL
#define	_H_BadAPPL

#include "BadDefs.h"

#ifdef	applec
	// Were going to #include standard MPW headers that we need
	//	because we're not using a precompiled header.
	#ifndef	_H_BadIncludes
	#include "BadIncludes.h"
	#endif
#endif

typedef	short	**shortHandle;		// used in block overwrite test

#define kTestWindowID 	128
#define ErrorAlert		256
#define	AdviseAlert		257

//	resource IDs of menus
#define	NUM_MENUS		10
#define kAppleID		128
#define kFileID			129
#define kEditID			130
#define	kControlID		131
#define	kErrorsID		132
#define	kStateID		133

//	heirarchial menu IDs
#define	handleID		51
#define	ptrID			52
#define	addrZeroID		53
#define	purgeID			54
#define	bkOverwriteID	5

//	Apple menu command indices
#define	aboutCommand	1

//	File menu command indices
#define	onCommand		1
#define	quitCommand		3

//	Edit menu command indices
#define undoCommand 	1
#define cutCommand		3
#define copyCommand		4
#define pasteCommand	5
#define clearCommand	6

// state menu command indices
#define	saveCommand		1
#define	restoreCommand	2

// handle menu command indices
#define	createDisposHndCommand	1
#define	resizeHndCommand		2
#define	verifyHndCommand		3

// handle menu command indices
#define	createDisposPtrCommand	1
#define	resizePtrCommand		2
#define	verifyPtrCommand		3

// write to zero command indices
#define	write2ZeroCommand		1
#define	derefZeroCommand		2

// purge menu command indices
#define	purgeCommand			1


// Menu indices
#define appleM			0
#define fileM			1
#define editM			2
#define	controlM		3
#define	errorsM			4
#define	stateM			5

// Heir-menu indices - these are all under the 'Errors' menu
#define	handleM			6
#define	ptrM			7
#define	addrZeroM		8
#define	purgeM			9

#define SBarWidth	15					// width of standard scroll bar

#define	regvar	register

//	string indexes used in OutputString calls
#define	kStringsID		128
#define	kInitLoaded		1
#define	kInitNotLoaded	2
#define	kOnIndx			3
#define	kOffIndx		4
#define	kDebugOn		5
#define	kDebugOff		6
#define	kScrambleOn		7
#define	kScrambleOff	8
#define	kStateSaved		9
#define	kStateRestored	10
#define	kDetected		11
#define	kNotDetected	12
#define	kDetectionOff	13
#define	kRunning68K		14
#define	kRunningPPC		15

//	prototypes

void 	main(void);
void	DoBeforeQuit(void);

#endif	//_H_BadAPPL
