/* _____________________________________________________________________

	BadErrors.h

	Copyright  1993-1995 Onyx Technology - All rights reserved
_____________________________________________________________________ */

#ifndef	_H_BadErrors
#define	_H_BadErrors

#ifndef	_H_BadAPPL
#include "BadAPPL.h"
#endif
#ifndef	_H_QCAPI
#include "QCAPI.h"
#endif

/*	Strings used by BadErrors to report status	*/
#define	kStdStringsID		128
#define	kHndStringsID		129					// these are used by the Handle and
#define	kPtrStringsID		130					// pointer tests

enum	{
		kHndPtr1	=	1,
		kHndPtr2,
		kHndPtr3,
		kHndPtr4,
		kHndPtr5,
		kHndPtr6,
		
		kHndPtr11	=	11,
		kHndPtr12,
		kHndPtr13,
		kHndPtr14,
		kHndPtr15,
		kHndPtr16
		};

#define	kPurgeStringsID		131					// used by DoPurgeTest
enum	{
		kPurge1		=	1,
		kPurge2,
		kPurge3,
		kPurge4,
		kPurge5,
		kPurge6,
		kPurge7,
		kPurge8,
		kPurge9,
		kPurge10
		};

#define	kZeroStringsID		132					// used by Derefernce Zero test
enum	{
		kZero1		=	1,
		kZero2,
		kZero3,
		kZero4,
		kZero5,
		kZero6,
		kZero7,
		kZero8,
		kZero9,
		kZero10,
		kZero11,
		kZero12
		};

#define	kVerifyStringsID	133					// used by Verify handle/pointer test
enum	{
		kVerify1	=	1,
		kVerify2,
		kVerify3,
		kVerify4,
		kVerify5,
		kVerify6,
		kVerify7,
		kVerify8,
		kVerify9,
		kVerify10,
		kVerify11,
		kVerify12,
		kVerifyLastItem
		};

#define	kBkOverwriteStringsID 134				// used by Block overwrite test
enum	{
		kOverwrite1	= 1,
		kOverwrite2,
		kOverwrite3,
		kOverwrite4,
		kOverwrite5,
		kOverwrite6,
		kOverwrite7,
		kOverwrite8
		};

#define	kErrStringsID		255					// possible errors strings
enum	{
		kQCActivateIndx	= 1,
		kQCDeActivateIndx,
		kQCGetTestState,
		kQCSetTestState
		};

typedef	struct									// used by Dereference Zero test
		{
		Ptr		theData;
		} dummyData, **dummyDataH;

/*	Prototypes	*/
void	DoHandlePtrExistance(Boolean onHandle);
void	DoHandlePtrResize(Boolean onHandle);
void	DoHandlePtrVerify(Boolean onHandle);

void	DoPurgeTest(void);
void	WriteToZeroTest(void);
void	DerefZeroTest(void);
void	DoBlockOverwrite(void);

void	DetectedMsgs(void);

QCCallBackUPP	InstallHandler(void);
void 			RemoveHandler(QCCallBackUPP procP);

#endif	//_H_BadErrors
